:root {
  --bg-color: #5a040e;
  --text-color: #cdd492;
  --accent-color: #779c3e;
  --secondary-color: #420910;
}

body {
  background-color: var(--bg-color);
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
  color: var(--text-color);
  line-height: 1.6;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

nav {
  position: sticky;
  top: 0;
  background-color: var(--secondary-color);
  font-display: flex;
  justify-content: center;
  z-index: 1000;
  align-items: center;
  display: flex;
  border-radius: 70px;
  margin: 10px;
  border: 3px solid var(--text-color);
}

nav h4 {
  padding-right: 50px;
}

nav .nav-container {
  display: flex;
  justify-content: space-between;
  max-width: 2000px;
  height: 80px;
  padding-left: 20px;
  padding-right: 20px;
}

.logo-container {
  display: flex;
  gap: 1rem;
  align-items: center;
}

.logo-container h4 {
  font-size: 20px;
  padding-left: 0px;
  margin-left: 0px;
}

.logo-container img {
  width: 50px;
  height: 50px;
}

.nav-links-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.nav-links :hover {
  transform: translateY(-5px);
  transition: transform 0.3s ease;
}

.nav-links {
  display: flex;
  gap: 50px;
  list-style: none;
}

.nav-links a {
  text-decoration: none;
  font-size: 20px;
  font-weight: bold;
  color: var(--text-color);
}

.About {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  min-height: 600px;
  flex-direction: row-reverse;
}

.about-container {
  display: flex;
  justify-content: center;
  max-width: 2000px;
  gap: 1rem;
  position: relative;
  margin-left: 20px;
}

.about-text-container {
  gap: 1rem;
  width: 50%;
  padding: 50px;
  position: relative;
  text-align: center;
}

.about-text-container {
  font-size: 15px;
  gap: 2rem;
  border-radius: 20px;
  background-color: #420910;
  margin-right: 20px;
  border: 3px solid var(--text-color);
}

.about-image-container {
  right: 150px;
}
.about-image-container img {
  height: 190px;
  width: 180px;
  background-color: rgb(150, 175, 122);
  border-radius: 60%;
  margin-bottom: 50px;
  margin-top: 50px;
  border: 3px solid var(--text-color);
}

hr {
  background-color: var(--text-color);
  height: 30px;
  border: none;
  margin-right: 0px;
  margin-left: 0px;
  width: 100%;
  max-width: 3000%;
  display: flex;
  border: 3px solid rgba(0, 0, 0, 0.202);
}

.Hobbies {
  background-color: var(--secondary-color);
  display: flex;
  padding: 1.5rem;
  text-align: center;
  margin: 0px;
  max-width: 2000%;
  height: 1250px;
  justify-content: center;
}

.hobby-container {
  justify-content: center;
  text-align: center;
  margin-top: 60px;
  position: relative;
}
.hobby-container h2 {
  font-size: 70px;
  font-weight: bold;
  justify-content: start;
}

.hobby-grid {
  text-align: center;
  display: grid;
  grid-template-columns: repeat(3, minmax(100px, 1fr));
  margin-top: 50px;
  gap: 1.5rem;
  justify-content: center;
}

/* Specific styling for the third image */
.third-image {
  width: 1000px;
}

.hobbies img {
  margin-top: 0px;
  height: 400px;
  width: max-content;
  justify-content: space-between;
  padding: 50px;
  object-fit: cover;
  align-items: center;
  grid-gap: 15px;
  background-color: rgba(0, 0, 0, 0.384);
  border-radius: 10px;
  position: relative;
  display: block;
}

.hobbies button {
  margin-bottom: 3px;
  margin-top: 20px;
  margin-left: 158px;
  font-style: italic;
  padding: 5px;
  background-color: rgba(131, 14, 14, 0.52);
  max-width: 1000px;
  padding: 15px 32px;
  text-align: center;
  font-size: 16px;
  border: none;
  border-radius: 5px;
  transition: background-color 0.2s;
  position: relative;
  display: block;
}

.hobbies button:hover {
  background-color: var(--text-color);
  color: black;
  transform: scale(1.1); /* Optional scale effect */
  cursor: pointer;
  border: 1px solid var(--secondary-color);
}

.btn-photo button {
  position: absolute;
}

.hobby-grid .hobbies:nth-child(1) img {
  margin-right: 50px;
}

.hobby-grid .hobbies:nth-child(2) img {
  margin-right: 50px;
  margin-left: 35px;
}
.hobbies a {
  text-decoration: none;
  color: var(--text-color);
}

.hobbies a:hover {
  background-color: var(--text-color);
  color: black;
  transform: scale(1.1); /* Optional scale effect */
  cursor: pointer;
}

h1:hover {
  transform: translateY(-5px);
  transition: transform 0.2s ease;
}

.hobbies p {
  justify-content: center;
  font-size: 14px;
  text-align: justify;
  margin-top: 15px;
  margin-left: 56px;
  letter-spacing: 1px;
  width: 375px;
  padding-bottom: 30px;
}

.hobby-grid .hobbies:nth-child(2) img {
  gap: 1rem;
  width: 400px;
}

.hobby-text {
  justify-content: center;
  top: 20px;
  bottom: 20px;

  transform: scale(1); /* Prevent scaling */
  transform-origin: left;
  justify-content: center;
  display: block;
  position: static;
}

.hobby-grid .hobbies:nth-child(3) img {
  margin-right: 50px;
  width: 500px;
  height: 400px;
  margin-left: -30px;
}

.Favorites {
  margin-top: 0px;
  height: 1000px;
  background-color: var(--bg-color);
  display: flex;
  margin: 0 auto;
  width: 1000px;
  height: 1000px;
  display: flex;
  position: relative;
}

.favorites-container {
  margin-top: 100px;
  margin-left: -200px;
  margin-right: -200px;
  max-width: 1500x;
  background-color: rgba(34, 38, 4, 0.32);
  text-align: start;
  justify-content: center;
  display: flex;
  height: 800px;
  border-radius: 20px;
}

.favorites-container h1 {
  display: flex;
  height: 100px;
  flex-direction: colurmn-reverse;
}

.favorites-container p {
  margin-top: 10px;
  margin-bottom: 10px;
}

.favorites-about {
  font-size: 14px;
  margin-left: -160px;
  margin-top: 200px;
  letter-spacing: 3px;
  justify-content: center;
  height: -100px;
  margin-right: 10px;
}

.favorites-about h2 {
  font-size: 40px;
  margin-bottom: 5px;
  margin-top: -160px;
  margin-left: 90px;
  font-weight: bold;
}

.favorites-about button {
  margin-bottom: -35px;
  margin-top: 20px;
  margin-left: -25px;
  font-style: italic;
  padding: 5px;
  background-color: rgba(131, 14, 14, 0.52);
  color: var(--text-color);
  padding: 15px 32px;
  text-align: center;
  font-size: 16px;
  border: none;
  border-radius: 5px;
  transition: background-color 0.2s;
}

.hands:hover {
  transform: none;
  transition: none;
}

.favorites-about p {
  font-size: 14px;
  margin-top: 30px;
  text-align: justify;
  letter-spacing: 2.9px;
  margin-left: -10px;
  margin-right: 30px;
}

.pic {
  width: 300px;
  flex-direction: row;
  gap: 1rem;
  border-radius: 10px;
  margin-left: 30px;
  margin-bottom: 5px;
  margin-top: 25px;
  flex-direction: column-reverse;
  max-width: 300px;
  grid-column-start: 1;
  grid-column-end: 3;
}

.pic:hover {
  transform: translateY(-5px);
  transition: transform 0.3s ease;
}

.Info {
  display: flex;
  justify-content: center;
  background-color: var(--secondary-color);
  padding: 2rem 0;
}

.footer-container {
  width: 100%;
  justify-content: space-between;
  display: flex;
  align-items: center;
  max-width: 1500px;
  margin-top: 0px;
}

.firstimg {
  width: 48px;
  height: 48px;
}

.secondimg {
  width: 48px;
  height: 48px;
}
